| libpgf 7.21.2 PGF - Progressive Graphics File

Classes | Public Member Functions | Public Attributes | List of all members
ROIBlockHeader Union Reference

Block header used with ROI coding scheme. More...

`#include <PGFtypes.h>`

## Classes
struct | RBH
| Named ROI block header (part of the union) More...

## Public Member Functions
| ROIBlockHeader (UINT16 v)
| ROIBlockHeader (UINT32 size, bool end)

## Public Attributes
UINT16 | val
struct ROIBlockHeader::RBH | rbh
| ROI block header. More...

## Detailed Description

Block header used with ROI coding scheme.

ROI block header is used with ROI coding scheme. It contains block size and tile end flag

Author
  C. Stamm

Definition at line 179 of file PGFtypes.h.

## Constructor & Destructor Documentation

## ◆ ROIBlockHeader() [1/2]

ROIBlockHeader::ROIBlockHeader | ( | UINT16 | v | ) |
| inline

Constructor

Parameters

  v | Buffer size

Definition at line 195 of file PGFtypes.h.

195 { val = v; }
ROIBlockHeader::val
UINT16 val
Definition: PGFtypes.h:180

## ◆ ROIBlockHeader() [2/2]

ROIBlockHeader::ROIBlockHeader | ( | UINT32 | size,
|  | bool | end
| ) |  |
| inline

Constructor

Parameters

  size | Buffer size
  end | 0/1 Flag; 1: last part of a tile

Definition at line 200 of file PGFtypes.h.

200 { ASSERT(size < (1 << RLblockSizeLen)); rbh.bufferSize = size; rbh.tileEnd = end; }
ROIBlockHeader::rbh
struct ROIBlockHeader::RBH rbh
ROI block header.
ROIBlockHeader::RBH::bufferSize
UINT16 bufferSize
number of uncoded UINT32 values in a block
Definition: PGFtypes.h:187
ROIBlockHeader::RBH::tileEnd
UINT16 tileEnd
1: last part of a tile
Definition: PGFtypes.h:188
RLblockSizeLen
#define RLblockSizeLen
block size length (< 16): ld(BufferSize) < RLblockSizeLen <= 2*ld(BufferSize)
Definition: PGFtypes.h:85

## Member Data Documentation

## ◆ rbh

struct ROIBlockHeader::RBH ROIBlockHeader::rbh

ROI block header.

## ◆ val

UINT16 ROIBlockHeader::val

unstructured union value

Definition at line 180 of file PGFtypes.h.

The documentation for this union was generated from the following file:

- PGFtypes.h